Add UBO to Entity
POST
https://dev-api.monoova.com/kyb/v1/AddUBO
Body Parameters
- bodyAdd_UBO_to_EntityExample
{ "applicantId": "4242424242424x424242424242424242", "uboApplicantId": "4242424242424x424242424242424242", "position": "Director" }- applicantIdstring
- uboApplicantIdstring
- positionstring
Responses
200
- Add_UBO_to_Entity_-_ResponseExample
{ "status": "success", "applicantId": "4242424242424x424242424242424242", "ubos": [ { "applicantId": "4242424242424x424242424242424242", "type": "Individual", "position": "Director" } ], "errors": [] }- statusstring
- applicantIdstring
- ubosobject[]
- applicantIdstringrequired
- typestringrequired
- positionstringrequired
- errorsobject[]
400
curl
curl --request POST \
--url https://dev-api.monoova.com/kyb/v1/AddUBO \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://dev-api.monoova.com/kyb/v1/AddUBO", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://dev-api.monoova.com/kyb/v1/AddUBO")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://dev-api.monoova.com/kyb/v1/AddUBO"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
{
"status": "",
"applicantId": "",
"ubos": [
{
"applicantId": "",
"type": "",
"position": ""
}
],
"errors": [
{}
]
}400
When you've created an entity, use this endpoint to link other applicants or entities as ultimate beneficial owners (UBOs) to the original entity. This will allow you to clearly view the company structure.